/*
  Melody
 
 Plays a melody 
 
 circuit:
 * 8-ohm speaker on digital pin 8
 
 created 21 Jan 2010
 modified 30 Aug 2011
 by Tom Igoe 

This example code is in the public domain.
 
 http://arduino.cc/en/Tutorial/Tone
 //seems to work fine without a resistor in series with the piezo
 //make sure that your piezo is plugged into the right output pin (the one referred to in the "tone" function below)
 */
 #include "pitches.h" 

/*JASON'S FIRST CHANGES
- changed all the durations to 4
- replaced the notes in melody with numbers (just guessed)
- moved routine out of setup into loop
- uploaded and listened... was curious about why notes don't sound sequential
- added a println to see which was which, tried out only the strange sounding ones in a new array
*/


int melody[] = {10,11,12,13,14,15,16,17};
int melody1[] = {10,15,10,15,10,15,10,15};
int melody2[]= {11,12,13,14,16,17,18,19};


int noteDurations[] = {4,4,4,4,4,4,4,4 }; //quarter-second notes
int noteDurations2[] = {8,8,8,8,8,8,8,8 }; //eighth-second notes



void setup() {
  
  Serial.begin(9600);
  
}

void loop() {
  
for(int i=0; i<4; i++){  
  
  for (int thisNote = 0; thisNote < 8; thisNote++) {
    int noteDuration = 1000/noteDurations[thisNote];   
    tone(9, melody[thisNote],noteDuration);   
    Serial.println(melody[thisNote]);
    int pauseBetweenNotes = noteDuration * 1.30;    
    delay(pauseBetweenNotes);
    noTone(9);  
  }
  
}

for(int i=0; i<1; i++){  
  
  for (int thisNote = 0; thisNote < 8; thisNote++) {
    int noteDuration = 1000/noteDurations[thisNote];   
    tone(9, melody1[thisNote],noteDuration);    
    Serial.println(melody[thisNote]);
    int pauseBetweenNotes = noteDuration * 1.30;    
    delay(pauseBetweenNotes);
    noTone(9);  
  }
  
}

for(int i=0; i<8; i++){  
  
  for (int thisNote = 0; thisNote < 8; thisNote++) {
    int noteDuration = 1000/noteDurations2[thisNote];   
    tone(9, melody2[thisNote],noteDuration);   
    Serial.println(melody[thisNote]);
    int pauseBetweenNotes = noteDuration * 1.30;    
    delay(pauseBetweenNotes);
    noTone(9);  
  }
  
}

for(int i=0; i<4; i++){  
  
  for (int thisNote = 0; thisNote < 8; thisNote++) {
    int noteDuration = 1000/noteDurations[thisNote];   
    tone(9, melody[thisNote],noteDuration);   
    Serial.println(melody[thisNote]);
    int pauseBetweenNotes = noteDuration * 1.30;    
    delayMicroseconds(pauseBetweenNotes); //sounds crazy when you change this to delayMicroseconds
    noTone(9);  
  }
  
}



}
